-- не настраивать
require( "scripts/game/deftime.lua" );
GameObject = {
-- основные параметры
    Params = {
        ID="pond";
        image="pond_double3";
        width=2;
        height=2;
        GridData = { 
            1,1,
            1,1 
        }; 
    };
    -- точки подхода персонажа
    ActivePoints = { 
        watering = { 
                        { {"cow","sheep","hen","tomato","goat","corn", "pumpkins"}, 1,2,0,  0,  0,0,0 };
                        { {"cow","sheep","hen","tomato","goat","corn", "pumpkins"}, 0,2,0,  0,  0,0,0 };
                   }; 
    };
    Objects = { };
    -- перечисление всех задач для обьекта
    Tasks = { };
    -- перечисление всех триггеров для обьекта
    Triggers = { };
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = { };
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
    -- акция
    Action = {  
        Name = "watering";  
        IDs = {"cow","sheep","hen","tomato","goat","corn", "pumpkins"};
        CanMany = 1;
    }
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end
